{ buildGoModule, fetchurl, lib, zstd }:

buildGoModule rec {
  pname = "goredo";
  version = "1.4.1";

  src = fetchurl {
    url = "http://www.goredo.cypherpunks.ru/download/${pname}-${version}.tar.zst";
    sha256 = "Wc+QIrkrsGA35KeI2UmYOUiyU78ItPQGCKpZO/vndxM=";
  };

  nativeBuildInputs = [ zstd ];

  vendorSha256 = null;
  subPackages = [ "." ];

  postPatch = "cd src";
  postInstall = ''
    mkdir -p "$out/share/info"
    cp ../goredo.info "$out/share/info"
    ( cd $out/bin; ./goredo -symlinks )
  '';

  outputs = [ "out" "info" ];

  meta = with lib; {
    description = "djb's redo, a system for building files from source files. Written in Go";
    homepage = "https://www.goredo.cypherpunks.ru";
    license = licenses.gpl3;
    platforms = platforms.linux ++ platforms.darwin;
    maintainers = [ maintainers.spacefrogg ];
  };
}
